Skip to content
Get started

List tasks

GET/api/v1/tasks

Returns tasks for the resolved space; includes spaceVersion from repVersionGet semantics.

Query ParametersExpand Collapse
contextId: optional string
cursor: optional string

Opaque cursor from the previous response nextCursor.

includeDeleted: optional boolean
limit: optional number
minimum1
maximum100
listId: optional string
spaceId: optional string

Optional space id; when omitted, the user’s default space is used.

status: optional string
ReturnsExpand Collapse
data: array of Todo { sortOrder, todoId, complexity, 14 more }
sortOrder: number
todoId: string
complexity: optional string
contextId: optional string
dateDue: optional string
formatdate-time
dateStart: optional string
formatdate-time
durationEstimate: optional number
durationMs: optional number
goalId: optional string
isImportant: optional boolean
isTimeSensitive: optional boolean
listId: optional string
name: optional string
notesMarkdown: optional string
status: optional string
TodoPredecessorsAllAny: optional "ALL" or "ANY"
One of the following:
"ALL"
"ANY"
TodoPredecessorsView: optional boolean
spaceVersion: number

Current Replicache space version (Space.version).

nextCursor: optional string

List tasks

curl https://$FLUIDWAVE_HOST/api/v1/tasks
{
  "data": [
    {
      "id": "id",
      "createdAt": "2019-12-27T18:11:19.117Z",
      "deletedAt": "2019-12-27T18:11:19.117Z",
      "isDeleted": true,
      "spaceId": "spaceId",
      "updatedAt": "2019-12-27T18:11:19.117Z",
      "versionUpdatedAt": 0,
      "sortOrder": 0,
      "todoId": "todoId",
      "complexity": "complexity",
      "contextId": "contextId",
      "dateDue": "2019-12-27T18:11:19.117Z",
      "dateStart": "2019-12-27T18:11:19.117Z",
      "durationEstimate": 0,
      "durationMs": 0,
      "goalId": "goalId",
      "isImportant": true,
      "isTimeSensitive": true,
      "listId": "listId",
      "name": "name",
      "notesMarkdown": "notesMarkdown",
      "status": "status",
      "TodoPredecessorsAllAny": "ALL",
      "TodoPredecessorsView": true
    }
  ],
  "spaceVersion": 0,
  "nextCursor": "nextCursor"
}
Returns Examples
{
  "data": [
    {
      "id": "id",
      "createdAt": "2019-12-27T18:11:19.117Z",
      "deletedAt": "2019-12-27T18:11:19.117Z",
      "isDeleted": true,
      "spaceId": "spaceId",
      "updatedAt": "2019-12-27T18:11:19.117Z",
      "versionUpdatedAt": 0,
      "sortOrder": 0,
      "todoId": "todoId",
      "complexity": "complexity",
      "contextId": "contextId",
      "dateDue": "2019-12-27T18:11:19.117Z",
      "dateStart": "2019-12-27T18:11:19.117Z",
      "durationEstimate": 0,
      "durationMs": 0,
      "goalId": "goalId",
      "isImportant": true,
      "isTimeSensitive": true,
      "listId": "listId",
      "name": "name",
      "notesMarkdown": "notesMarkdown",
      "status": "status",
      "TodoPredecessorsAllAny": "ALL",
      "TodoPredecessorsView": true
    }
  ],
  "spaceVersion": 0,
  "nextCursor": "nextCursor"
}